Page 1 of 4

6.2 / 5.3 packages

Posted: Wed Dec 25, 2013 4:50 pm
by foetz
as a little xmas special i put up some packages for 6.2 and a few for 5.3.
as usual everything is built with MIPSpro or MIPS C in case of 5.3 (iirc the name mipspro came later).

for the 6.2 packages i used a 6.x compiler to ensure that you don't have to install anything from the additional 7.x devlopment stuff which was released for 6.2 later. so with a stock 6.2 and some patches you're good to go.
additionally i have neither impact nor r10000 patches installed to make sure it runs on all machines supported by the respective os.


http://www.nekochan.net/downloads/index ... etz%2F5.3/
http://www.nekochan.net/downloads/index ... etz%2F6.2/


please keep in mind that these packages should run just fine with 6.5, too. especially the 6.2 stuff is n32/mips3 which should be a nice addition for anyone who runs 6.5 on a mips3 machine.

>> you can always use "rulesoverride" and ignore my deps as long as you have adequate replacements <<

MIRROR

Code: Select all

r-a-c.de/dist/sgi/5.3/
r-a-c.de/dist/sgi/6.2/

append the package name since there's no listing

Re: 6.2 / 5.3 packages

Posted: Wed Dec 25, 2013 6:08 pm
by hamei
foetz wrote:as a little xmas special i put up some packages for 6.2 and a few for 5.3.

http://www.nekochan.net/downloads/index ... etz%2F6.2/

Xbae ! Woo-hoo ! you be da man, foetz ! Thank you :D

Now I have to go see what you did to make it build ...

Re: 6.2 / 5.3 packages

Posted: Wed Dec 25, 2013 6:22 pm
by foetz
hamei wrote:
foetz wrote:as a little xmas special i put up some packages for 6.2 and a few for 5.3.

http://www.nekochan.net/downloads/index ... etz%2F6.2/

Xbae ! Woo-hoo ! you be da man, foetz ! Thank you :D

haha my pleasure

Now I have to go see what you did to make it build ...

almost nothing, it's an old version. the recent ones were buggy as in missing declarations and such. but if you should need a newer one for some fancy motif trips i can have a closer look ...

Re: 6.2 / 5.3 packages

Posted: Wed Jan 08, 2014 9:28 pm
by foetz
6.2
  • libxml2 2.2.2
  • pwgen

Re: 6.2 / 5.3 packages

Posted: Sun Jan 12, 2014 9:56 am
by foetz
added a few more for 5.3. the new tardists are mips1 so that it really works for everything that can run 5.3

Re: 6.2 / 5.3 packages

Posted: Wed Jan 15, 2014 2:52 pm
by foetz
6.2
  • f90ppr

... as promised. seriously optimized just as the version for 6.5.
this one should also work for all who are running 6.5 with a mips3 box.

Re: 6.2 / 5.3 packages

Posted: Sat Feb 01, 2014 10:24 pm
by foetz
5.3
  • apache 1.3.42

a version 2 apache for 6.2 is likely to follow but my pthreads were somehow broken :P


6.2
  • php 5.2.17

with the module for the apache above

Re: 6.2 / 5.3 packages

Posted: Sun Feb 09, 2014 11:57 am
by foetz
6.2
  • apache 2.2.26
  • m4 1.4.12
  • autoconf 2.13
  • apr 1.5.0
  • apr-util 1.5.3

... as promised.
a new php with support for this apache is next. then thanks to the m4 and autoconf it should also be easy to add whatever extensions you prefer :-)

the apache is quite complete since i compiled everything shared so you have a crapload of stuff to choose from and can use it just the way you like. it's an mpm prefork build because everything else tends to freak out when used with the php module

Re: 6.2 / 5.3 packages

Posted: Sun Feb 09, 2014 12:56 pm
by ClassicHasClass
You are UNSTOPPABLE!

Re: 6.2 / 5.3 packages

Posted: Sun Feb 09, 2014 1:10 pm
by foetz
ClassicHasClass wrote:You are UNSTOPPABLE!

haha it's not that much but getting stuff done for 6.2 or even 5.3 usually isn't plug&play :P

Re: 6.2 / 5.3 packages

Posted: Mon Feb 10, 2014 7:36 pm
by foetz
5.3
  • screen_376.bz2
  • algol68g_28.tar.bz2


6.2
  • libxml2_277.tardist
  • libxml2_277p1.tardist
  • gmake_380.tardist
  • mysql_5045.tar.bz2
  • screen_376.bz2
  • algol68g_28.tar.bz2
  • curl_7350.tardist
  • php_5217_apache2.tar.bz2
  • gimp_125.tar.bz2
  • nedit55_rac.bz2
  • wget_182.tardist

please install the patch for libxml2 if you get linking problems. for some reason -lz was missing from xml2-config.
the php has quite a nice number of modules because i tried to keep the basic installation as pure as possible. some modules do have further dependencies of course.
and just to show off a little i wanna emphasize that the mysql as well as anything else is 100% mipspro :D however i had to remove most of the mysql locales thanks to an encoding mess :P
last but not least the algol thingy is for the oldskoolers. it's a free algol68 runner that should be some fun for anyone on a retro trip.

also figured i could share my custom nedit. it has 2 features in addition to the original one:
1. doesn't ask when saving read-only files as root.
2. an extra buffer indepedent from the clipboard.

the latter is simple but quite handy. often i wanted to change some text as test but wouldn't bother making a copy of the file first and wanted to keep using copy/paste so the solution was a separate buffer. the edit menu has 2 additional entries "Buffer" and "Get Buffer". the first one saves the whole text in memory, the second one replaces the current text with whatever was there when you hit the first one.

Re: 6.2 / 5.3 packages

Posted: Mon Feb 24, 2014 10:31 am
by foetz
6.2
  • libogg_131.tardist
  • libvorbis_134.tardist
  • vorbistools_140.tardist
  • audiofile_021.tardist
  • xmms_1211.tardist

for xmms you also need esound from sgi's freeware.
the audiofile is a rebuild of the one from freeware but i replaced vsnprintf to prevent trouble

Re: 6.2 / 5.3 packages

Posted: Sun Sep 21, 2014 1:14 am
by foetz
6.2
  • dillo_304.tardist
  • pcre_833.tardist

oh yes there it is :D
quite some heavy changes were necessary to make it work so you might encounter problems. added custom versions of all the missing functions, structures and whatever is related. mostly addrinfo and related functions and the complete set of (v)snprintf with all relatives macros and whatnot :P.
long story short, i'm writing this with that very thing right now and it's using 5.8mb ram and it's fast. i guess it should be fine for all machines able to run 6.2.

you need the gcc libs and some of the basic stuff. mine or tgc should work fine and remember to fire up prngd on 6.2 if you wanna use https

Re: 6.2 / 5.3 packages

Posted: Sun Sep 21, 2014 5:24 am
by cris_adder
Thanks heaps foetz for getting Dillo working with 6.2..!

Re: 6.2 / 5.3 packages

Posted: Tue Oct 14, 2014 8:13 pm
by foetz
5.3
  • nedit4.bz2
  • libiconv_1111.tardist

a nedit v 4.1